HVAC Mode Adjusted
Simulates having adjusted the HVAC mode for a thermostat. Only applicable for sandbox devices. See also Testing Your Thermostat App with Simulate Endpoints.
POST /thermostats/simulate/hvac_mode_adjusted ⇒ voidAuthentication Methods
API key
Personal access token Must also include the
seam-workspaceheader in the request.
To learn more, see Authentication.
Request Parameters
device_id String (Required)
ID of the desired thermostat device.
hvac_mode String (Required)
Desired HVAC mode to simulate.
cooling_set_point_celsius Number
Desired simulated cooling set point in °C. You must set cooling_set_point_celsius or cooling_set_point_fahrenheit.
cooling_set_point_fahrenheit Number
Desired simulated cooling set point in °F. You must set cooling_set_point_fahrenheit or cooling_set_point_celsius.
heating_set_point_celsius Number
Desired simulated heating set point in °C. You must set heating_set_point_celsius or heating_set_point_fahrenheit.
heating_set_point_fahrenheit Number
Desired simulated heating set point in °F. You must set heating_set_point_fahrenheit or heating_set_point_celsius.
Response
void
Last updated
Was this helpful?

